Show
curl --request GET \
--url https://api.eqho.ai/v1/chat-widget/{widget_config_id} \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/chat-widget/{widget_config_id}"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/chat-widget/{widget_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/chat-widget/{widget_config_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"account_id": "<string>",
"campaign_id": "<string>",
"id": "<string>",
"name": "Chat Widget",
"version": "v1",
"enabled": true,
"agent_id": "<string>",
"session_timeout_minutes": 30,
"inactivity_prompt_minutes": 720,
"inactivity_prompt_text": "<string>",
"inactivity_close_minutes": 5,
"additional_config": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Chat Widget
Get Widget Config By Id
GET
/
v1
/
chat-widget
/
{widget_config_id}
Show
curl --request GET \
--url https://api.eqho.ai/v1/chat-widget/{widget_config_id} \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/chat-widget/{widget_config_id}"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/chat-widget/{widget_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/chat-widget/{widget_config_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"account_id": "<string>",
"campaign_id": "<string>",
"id": "<string>",
"name": "Chat Widget",
"version": "v1",
"enabled": true,
"agent_id": "<string>",
"session_timeout_minutes": 30,
"inactivity_prompt_minutes": 720,
"inactivity_prompt_text": "<string>",
"inactivity_close_minutes": 5,
"additional_config": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
APIKeyHeader & OrgImpersonationOAuth2PasswordBearer & OrgImpersonation
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Path Parameters
Required string length:
24Response
Successful Response
Required string length:
24Version of the widget configuration schema
Available options:
v1, v2 Required string length:
24Required range:
1 <= x <= 1440Required range:
1 <= x <= 1440Required range:
1 <= x <= 1440Was this page helpful?